Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.PI
Class SimpleClientManager

    java.lang.Object
      |
      +--org.openorb.PI.SimpleClientManager

All Implemented Interfaces:
  ClientManager

public class SimpleClientManager
extends java.lang.Object
implements ClientManager

This class is the manager for portable interceptor on client side.

Version:
  $Revision: 1.10 $ $Date: 2002/06/28 08:59:04 $
Author:
  Jerome Daniel, Chris Wood

Field Summary
`static int` | `BAD_INTERCEPTOR_RESPONSE` exception code for exception thrown when an interceptor gives a non-complient response.

Constructor Summary
`SimpleClientManager(ClientRequestInterceptor[] list, CurrentImpl current)` Constructor

Method Summary
`void` | `receive_exception(ClientRequestInfo info, RequestCallback cb)` This operation must be called from the client interception point.
`void` | `receive_other(ClientRequestInfo info, RequestCallback cb)` This operation must be called from the client interception point.
`void` | `receive_reply(ClientRequestInfo info, RequestCallback cb)` This operation must be called from the client interception point when a reply is received.
`void` | `send_poll(ClientRequestInfo info, RequestCallback cb)` This operation must be called from the client interception point.
`void` | `send_request(ClientRequestInfo info, RequestCallback cb)` This operation must be called from the client interception point.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BAD_INTERCEPTOR_RESPONSE

    public static final int BAD_INTERCEPTOR_RESPONSE

  exception code for exception thrown when an interceptor gives a non-complient response.

Constructor Detail

### SimpleClientManager

    public SimpleClientManager(ClientRequestInterceptor[] list,
                               CurrentImpl current)

  Constructor

Method Detail

### send_request

    public void send_request(ClientRequestInfo info,
                             RequestCallback cb)

  This operation must be called from the client interception point.
  Specified by:
    `send_request` in interface `ClientManager`
  Following copied from interface: `org.openorb.PI.ClientManager`
  Parameters:
    `info` - The client request descriptor.
    `cb` - The callback instance.

### send_poll

    public void send_poll(ClientRequestInfo info,
                          RequestCallback cb)

  This operation must be called from the client interception point.
  Specified by:
    `send_poll` in interface `ClientManager`
  Following copied from interface: `org.openorb.PI.ClientManager`
  Parameters:
    `info` - The client request descriptor.
    `cb` - The callback instance.

### receive_reply

    public void receive_reply(ClientRequestInfo info,
                              RequestCallback cb)

  This operation must be called from the client interception point when a reply is received.
  Specified by:
    `receive_reply` in interface `ClientManager`
  Following copied from interface: `org.openorb.PI.ClientManager`
  Parameters:
    `info` - The client request descriptor.
    `cb` - The callback instance.

### receive_exception

    public void receive_exception(ClientRequestInfo info,
                                  RequestCallback cb)

  This operation must be called from the client interception point.
  Specified by:
    `receive_exception` in interface `ClientManager`
  Following copied from interface: `org.openorb.PI.ClientManager`
  Parameters:
    `info` - The client request descriptor.
    `cb` - The callback instance.

### receive_other

    public void receive_other(ClientRequestInfo info,
                              RequestCallback cb)

  This operation must be called from the client interception point.
  Specified by:
    `receive_other` in interface `ClientManager`
  Following copied from interface: `org.openorb.PI.ClientManager`
  Parameters:
    `info` - The client request descriptor.
    `cb` - The callback instance.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD